%global date 		20031218
%global hpijs_ver	1.5-%{date}
%global momorel		1

Summary: Foomatic printer database.
Name: foomatic-db

Version: %{date}
Release: %{momorel}m
Group: System Environment/Libraries
License: GPL
URL: http://www.linuxprinting.org/

### These are daily snapshots, and disappear next day.
### So, do not be NoSource.
Source0: http://www.linuxprinting.org/download/foomatic/%{name}-%{date}.tar.gz
Source1: http://www.linuxprinting.org/download/foomatic/%{name}-hpijs-%{hpijs_ver}.tar.gz
#NoSource: 1

#Patch0: foomatic-db-hpijs-1.4-20030628.patch
BuildRequires: perl
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate driver description files and printer queues for CUPS, LPD,
LPRng, and PDQ using the database. There is also the possibility to
read the PJL options out of PJL-capable laser printers and take them
into account at the driver description file generation.

There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).

The site http://www.linuxprinting.org/ is based in this database.

%prep
%setup -q -c -T -a 0 -a 1 -n %{name}

%__mkdir_p docs/foomatic-db
%__mkdir_p docs/foomatic-db-hpijs

pushd %{name}-%{date}
%__cp -p COPYING ChangeLog README TODO USAGE ../docs/foomatic-db
popd

pushd %{name}-hpijs-%{hpijs_ver}
#%patch0 -p1
%__cp -p COPYING ChangeLog README TODO USAGE ../docs/foomatic-db-hpijs
popd

# remove stp.xml since it contains the data for 
# old gimp-print (4.0.x).
%__rm %{_builddir}/%{name}/%{name}-%{date}/db/source/driver/stp.xml
# remove data for old patched HPIJS 1.2
%__rm -rf %{_builddir}/%{name}/%{name}-hpijs-%{hpijs_ver}/data-generators/hpijs-rss

# fix permission
find docs -type f | xargs chmod a-x
find . -name '*.xml' | xargs chmod a-x

%build
for d in %{date} hpijs-%{hpijs_ver}; do
  pushd %{name}-${d}
  %configure
  %make
  popd
done

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

for d in %{date} hpijs-%{hpijs_ver}; do
  pushd %{_builddir}/%{name}/%{name}-${d}
  make install \
    PREFIX=%{_prefix} \
    DESTDIR=%{buildroot} \
    INSTALLPREFIX=%{buildroot} \
    PERL_INSTALL_ROOT=%{buildroot}
  popd
done

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%dir %{_datadir}/foomatic
%dir %{_datadir}/foomatic/db
%{_datadir}/foomatic/db/oldprinterids
%dir %{_datadir}/foomatic/db/source
%dir %{_datadir}/foomatic/db/source/driver
%{_datadir}/foomatic/db/source/driver/*
%dir %{_datadir}/foomatic/db/source/opt
%{_datadir}/foomatic/db/source/opt/*
%dir %{_datadir}/foomatic/db/source/printer
%{_datadir}/foomatic/db/source/printer/*

%changelog
* Fri Dec 19 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20031218-1m)
- update foomatic-db to 20031218
- update foomatic-db-hpijs to 1.5-20031218

* Sun Nov 02 2003 Kenta MURATA <muraken2@nifty.com>
- (20031102-1m)
- version up.

* Mon Jul 21 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20030719-1m)
- update foomatic-db to 20030719
- update foomatic-db-hpijs to 20030628

* Sat Jul  5 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20030528-1m)
- update foomatic-db to 20030528
- update foomatic-db-hpijs to 20030526
- make foomatic-db-hpijs be NoSource

* Mon Mar 24 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20030315-1m)
- separate foomatic databases (foomatic-db) from foomatic
